Subject: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Jim Porter <[email-masked]>
Date: Mon, 1 Nov 2021 13:49:40 -0700

On 11/1/2021 12:14 PM, Eli Zaretskii wrote:
>> From: Kévin Le Gouguec <[email-masked]>
>> Date: Mon, 01 Nov 2021 18:56:13 +0100
>>
>> On darker themes (e.g. modus-vivendi), the Customize SVG icons
>> (etc/images/right.svg and etc/images/down.svg) are not very visible, due
>> to the poor contrast between their fill color (#2e3436) and dark
>> backgrounds[1].
> 
> That's for the themes to resolve, isn't it?  They could supply their
> own icons, because only they know which colors will go well with the
> theme's colors.

The method suggested in the original report (see below) would allow for 
themes to do this by customizing the appropriate face, wouldn't it? That 
seems like a simpler way for themes to apply the appropriate colors.

As someone developing a dark Emacs theme, I think this would be a 
welcome improvement.

On 11/1/2021 10:56 AM, Kévin Le Gouguec wrote:
 > A quick dive into widget-create-child-and-convert (down to
 > widget-image-insert) suggests that there's no way to tell widget.el to
 > slap a face onto an image; perhaps a new keyword could be added to that
 > effect?
 >
 > Then we could add a face that (1) could preserve the original color
 > (#2e3436) for light backgrounds (2) be set to something more reasonable
 > for dark backgrounds (3) be themed.